Page MenuHomePhabricator

[mlir][Python] Initial Affine Map Python Bindings.
ClosedPublic

Authored by zhanghb97 on Dec 14 2020, 2:57 AM.

Details

Summary
  • Add PyAffineMap to wrap around MlirAffineMap.
  • Add mlirPythonAffineMapToCapsule and mlirPythonCapsuleToAffineMap to interoperate with python capsule.
  • Add and test some simple bindings of PyAffineMap.

Diff Detail

Unit TestsFailed

TimeTest
80 msx64 windows > LLVM.CodeGen/XCore::threads.ll
Script: -- : 'RUN: at line 1'; c:\ws\w32-1\llvm-project\premerge-checks\build\bin\llc.exe -march=xcore < C:\ws\w32-1\llvm-project\premerge-checks\llvm\test\CodeGen\XCore\threads.ll | c:\ws\w32-1\llvm-project\premerge-checks\build\bin\filecheck.exe C:\ws\w32-1\llvm-project\premerge-checks\llvm\test\CodeGen\XCore\threads.ll

Event Timeline

zhanghb97 created this revision.Dec 14 2020, 2:57 AM
zhanghb97 requested review of this revision.Dec 14 2020, 2:57 AM
mehdi_amini accepted this revision.Dec 29 2020, 8:15 PM
This revision is now accepted and ready to land.Dec 29 2020, 8:15 PM
zhanghb97 closed this revision.Dec 30 2020, 3:36 AM